Core - Task # 54226

Epic # 55070 (Accepted): Workpackages

Epic # 54260 (Accepted): WP: FAL Missing Issues / Features / API

Story # 54261 (Resolved): As an Extension-Developer | want to use FAL assets in my custom development

Status: Resolved Priority: Must have

Author: Steffen Ritter Category: File Abstraction Layer (FAL)
Created: 2013-12-06 Assigned To: Steffen Ritter

Updated: 2014-01-30 Due date: 2013-12-31

TYPOS3 Version: 6.2

PHP Version:

Complexity: easy

Sprint Focus:

Subject: Extend File/Folder API for getContainingFolder()

Description

No official way to retrieve the parent container, but this is useful quite often...

therefore --> add it and remove the hacks in the file module

Associated revisions

Revision a8¢c54798 - 2014-01-30 19:15 - Steffen Ritter

[TASK] Add API to retrieve the parent folder of a resource

Currently if some code needs the parent directory or folder
object of some files or folders it either needs to query the
storage object for the identifier of the parent folder and then
create the folder object manually or needs to fiddle around with
the identifier manually, assuming that all identifiers are a
representation of a hierarchical path as it is for the local

driver.

The latter not only will fail for all storages having non-path
identifiers it is more overhead to create the folder objects

manually anyhow.

This patch adds "getParentFolder" to the Resourcelnterface and
implements the method in AbstractFile and Folder as well as it
replaces the manual resolval in the file list module.

Releases: 6.2

Resolves: #54226

Change-Id: 1651d62340186dd9ac57277b4988f98ee160dfd2
Reviewed-on: https://review.typo3.org/26724

Reviewed-by: Alexander Opitz
Reviewed-by: Marcin Sagol
Reviewed-by: Sebastian Fischer
Tested-by: Sebastian Fischer
Reviewed-by: Ernesto Baschny
Tested-by: Ernesto Baschny
Revision 9d4ff3cf - 2014-01-30 21:35 - Benjamin Mack

[BUGFIX] Followup to #54226

The fix for issue #54226 introduced a bug
with FileReferences as it did not implement the
change of the interface.

Resolves: #54226

Releases: 6.2

Change-Id: 19f67f3f23b96569cdfadba1505e4881103a86¢cch
Reviewed-on: https://review.typo3.0rg/27170

Reviewed-by: Benjamin Mack
Tested-by: Benjamin Mack

History

#1 - 2013-12-07 14:58 - Steffen Ritter
- Parent task set to #54261

#2 - 2014-01-09 17:00 - Gerrit Code Review
- Status changed from Accepted to Under Review
- Remaining (hours) setto 1.0

Patch set 2 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at https://review.typo3.org/26724

#3 - 2014-01-09 17:01 - Steffen Ritter
- % Done changed from 0 to 70

#4 - 2014-01-10 00:45 - Gerrit Code Review

Patch set 3 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at https://review.typo3.org/26724

#5 - 2014-01-10 11:02 - Gerrit Code Review

Patch set 4 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at https://review.typo3.org/26724

#6 - 2014-01-10 13:10 - Gerrit Code Review

Patch set 5 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at https://review.typo3.org/26724

#7 - 2014-01-10 18:33 - Gerrit Code Review

Patch set 6 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/26724

#8 - 2014-01-30 19:30 - Steffen Ritter
- Status changed from Under Review to Resolved
- % Done changed from 70 to 100

Applied in changeset commit:a8c5479803eec44326b4a07bb2270aecaaf29c20.

#9 - 2014-01-30 21:35 - Gerrit Code Review
- Status changed from Resolved to Under Review

Patch set 1 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at https://review.typo3.0rg/27170

#10 - 2014-01-30 22:30 - Benjamin Mack
- Status changed from Under Review to Resolved

Applied in changeset commit:9d4{f3cf98480d2d765450fd4965da9c2dd5318d.

2015-08-04 3/3


https://review.typo3.org/26724
https://review.typo3.org/27170

